Search Fees
Platform Fees
>
Search Fees
openapi: 3.0.3
info:
title: Platform Fee APIs - Search Fees
version: v1
description: |
Platform Fee APIs.
contact:
name: Platform Services - Platform Fee
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: http://jx-r.jhacorp.com
description: Corporate Test Server
security: []
tags:
- name: Search Fees
description: API for searching fees
paths:
/a/api/platform/v1/{InstitutionUniversalId}/fees/fees-search:
post:
operationId: SearchFees
tags:
- Search Fees
summary: API to search fees
description: API to search fees
parameters:
- name: offset
in: query
required: false
description: When returning a list of results, the offset determines the number of records to skip before returning the result. If the offset is not provided, the server will return the first set of records.
example: ?offset=50
schema:
type: string
default: '0'
- name: count
in: query
required: false
description: The count of records requested. The server may limit the number of records returned in a single response. If the count is not provided, the server will return a default number of records.
example: ?count=100
schema:
type: string
default: '100'
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
requestBody:
description: Request parameters
content:
application/json:
schema:
allOf:
- type: object
properties:
feeType:
type: string
description: The type of fee.
enum:
- flat-fee
- return-item-fee
- overdraft-item-fee
- cycle-time-service-charge-fee
name:
type: string
description: The name of the fee.
createdAt:
allOf:
- type: object
properties:
startDate:
type: string
format: date
description: This defined the start date to search with.
nullable: true
endDate:
type: string
format: date
description: This defined the end date to search with.
nullable: true
additionalProperties: false
fee:
allOf:
- type: object
properties:
min:
type: string
description: This defined the minimum amount to search with.
nullable: true
max:
type: string
description: This defined the maximum amount to search with.
nullable: true
additionalProperties: false
active:
type: boolean
description: Determines if the fee is active or not.
responses:
'200':
description: Success
content:
application/json:
schema:
allOf:
- type: object
properties:
paging:
type: object
required:
- nextOffset
- results
properties:
nextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
results:
type: integer
description: The number of records included in the response.
total:
type: integer
nullable: true
description: The total number of records the server has available for the request.
additionalProperties: false
fees:
type: array
items:
allOf:
- required:
- feeId
- feeType
- name
- description
- active
- type: object
properties:
id:
type: string
format: uuid
description: The ID assigned to the fee when it was successfully added.
feeType:
type: string
description: The type of fee.
enum:
- flat-fee
- return-item-fee
- overdraft-item-fee
- cycle-time-service-charge-fee
name:
type: string
description: The name of the fee.
fee:
type: object
properties:
value:
type: string
description: This defines the amount value.
nullable: false
currencyType:
type: string
description: The ISO 4217 three character currency type. USD is the default value.
nullable: true
default: usd
additionalProperties: false
description:
type: string
description: The description of the fee.
createdAt:
type: string
format: date-time
description: The date-time the fee was created.
active:
type: boolean
description: Determines if the fee is active or not.
'400':
description: The server could not understand the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Wed Jul 22 2026